javax.media.opengl

## Interface GLES1

- All Superinterfaces:
    GL, GL2ES1, GLBase, GLLightingFunc, GLMatrixFunc, GLPointerFunc
  All Known Implementing Classes:
    DebugGLES1, TraceGLES1

      public interface GLES1
      extends GL2ES1

  This interface contains all OpenGL ES [ 1.0 .. 1.1 ] methods, as well as most of it's extensions defined at the time of this specification.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GL_3DC_X_AMD` Part of `GL_AMD_compressed_3DC_texture`
    `static int` | `GL_3DC_XY_AMD` Part of `GL_AMD_compressed_3DC_texture`
    `static int` | `GL_ADD_BLEND_IMG` Part of `GL_IMG_texture_env_enhanced_fixed_function`
    `static int` | `GL_ALL_COMPLETED_NV` Part of `GL_NV_fence`
    `static int` | `GL_ATC_RGB_AMD` Part of `GL_AMD_compressed_ATC_texture`
    `static int` | `GL_ATC_RGBA_EXPLICIT_ALPHA_AMD` Part of `GL_AMD_compressed_ATC_texture`
    `static int` | `GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD` Part of `GL_AMD_compressed_ATC_texture`
    `static int` | `GL_BGRA_IMG` Part of `GL_IMG_read_format`
    `static int` | `GL_CLIP_PLANE0_IMG` Part of `GL_IMG_user_clip_plane`
    `static int` | `GL_CLIP_PLANE1_IMG` Part of `GL_IMG_user_clip_plane`
    `static int` | `GL_CLIP_PLANE2_IMG` Part of `GL_IMG_user_clip_plane`
    `static int` | `GL_CLIP_PLANE3_IMG` Part of `GL_IMG_user_clip_plane`
    `static int` | `GL_CLIP_PLANE4_IMG` Part of `GL_IMG_user_clip_plane`
    `static int` | `GL_CLIP_PLANE5_IMG` Part of `GL_IMG_user_clip_plane`
    `static int` | `GL_COLOR_BUFFER_BIT0_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT1_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT2_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT3_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT4_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT5_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT6_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT7_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_EXT` Part of `GL_EXT_discard_framebuffer`
    `static int` | `GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG` Part of `GL_IMG_texture_compression_pvrtc`
    `static int` | `GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG` Part of `GL_IMG_texture_compression_pvrtc`
    `static int` | `GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG` Part of `GL_IMG_texture_compression_pvrtc`
    `static int` | `GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG` Part of `GL_IMG_texture_compression_pvrtc`
    `static int` | `GL_DEPTH_BUFFER_BIT0_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT1_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT2_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT3_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT4_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT5_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT6_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT7_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_EXT` Part of `GL_EXT_discard_framebuffer`
    `static int` | `GL_DOT3_RGBA_IMG` Part of `GL_IMG_texture_env_enhanced_fixed_function`
    `static int` | `GL_DRAW_FRAMEBUFFER_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_DRAW_FRAMEBUFFER_BINDING_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_ETC1_RGB8_OES` Part of `GL_OES_compressed_ETC1_RGB8_texture`
    `static int` | `GL_FACTOR_ALPHA_MODULATE_IMG` Part of `GL_IMG_texture_env_enhanced_fixed_function`
    `static int` | `GL_FENCE_CONDITION_NV` Part of `GL_NV_fence`
    `static int` | `GL_FENCE_STATUS_NV` Part of `GL_NV_fence`
    `static int` | `GL_FRAGMENT_ALPHA_MODULATE_IMG` Part of `GL_IMG_texture_env_enhanced_fixed_function`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT` Part of `GL_EXT_multisampled_render_to_texture`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG` Part of `GL_IMG_multisampled_render_to_texture`
    `static int` | `GL_LUMINANCE_ALPHA16F` Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
    `static int` | `GL_LUMINANCE_ALPHA32F` Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
    `static int` | `GL_LUMINANCE16F` Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
    `static int` | `GL_LUMINANCE32F` Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
    `static int` | `GL_LUMINANCE8` Part of `GL_VERSION_1_1`; `GL_EXT_texture`, `GL_EXT_texture_storage`
    `static int` | `GL_LUMINANCE8_ALPHA8` Part of `GL_VERSION_1_1`; `GL_EXT_texture`, `GL_EXT_texture_storage`
    `static int` | `GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES` Part of `GL_OES_matrix_palette`
    `static int` | `GL_MAX_CLIP_PLANES_IMG` Part of `GL_IMG_user_clip_plane`
    `static int` | `GL_MAX_SAMPLES_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_MAX_SAMPLES_IMG` Part of `GL_IMG_multisampled_render_to_texture`
    `static int` | `GL_MODELVIEW_MATRIX_FLOAT_AS_INT_BITS_OES` Part of `GL_OES_matrix_get`
    `static int` | `GL_MODULATE_COLOR_IMG` Part of `GL_IMG_texture_env_enhanced_fixed_function`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT0_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT1_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT2_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT3_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT4_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT5_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT6_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static long` | `GL_MULTISAMPLE_BUFFER_BIT7_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_PALETTE4_R5_G6_B5_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE4_RGB5_A1_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE4_RGB8_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE4_RGBA4_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE4_RGBA8_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE8_R5_G6_B5_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE8_RGB5_A1_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE8_RGB8_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE8_RGBA4_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE8_RGBA8_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PERFMON_GLOBAL_MODE_QCOM` Part of `GL_QCOM_perfmon_global_mode`
    `static int` | `GL_POINT_SIZE_ARRAY_BUFFER_BINDING_OES` Part of `GL_OES_point_size_array`
    `static int` | `GL_POINT_SIZE_ARRAY_OES` Part of `GL_OES_point_size_array`
    `static int` | `GL_POINT_SIZE_ARRAY_POINTER_OES` Part of `GL_OES_point_size_array`
    `static int` | `GL_POINT_SIZE_ARRAY_STRIDE_OES` Part of `GL_OES_point_size_array`
    `static int` | `GL_POINT_SIZE_ARRAY_TYPE_OES` Part of `GL_OES_point_size_array`
    `static int` | `GL_PROJECTION_MATRIX_FLOAT_AS_INT_BITS_OES` Part of `GL_OES_matrix_get`
    `static int` | `GL_READ_FRAMEBUFFER_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_READ_FRAMEBUFFER_BINDING_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_RECIP_ADD_SIGNED_ALPHA_IMG` Part of `GL_IMG_texture_env_enhanced_fixed_function`
    `static int` | `GL_RENDERBUFFER_SAMPLES_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_RENDERBUFFER_SAMPLES_IMG` Part of `GL_IMG_multisampled_render_to_texture`
    `static int` | `GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES` Part of `GL_OES_EGL_image_external`
    `static int` | `GL_STATE_RESTORE` Part of `GL_QCOM_extended_get`
    `static int` | `GL_STENCIL_BUFFER_BIT0_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT1_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT2_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT3_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT4_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT5_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT6_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT7_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_EXT` Part of `GL_EXT_discard_framebuffer`
    `static int` | `GL_TEXTURE_ALPHA_MODULATE_IMG` Part of `GL_IMG_texture_env_enhanced_fixed_function`
    `static int` | `GL_TEXTURE_BINDING_EXTERNAL_OES` Part of `GL_OES_EGL_image_external`
    `static int` | `GL_TEXTURE_CROP_RECT_OES` Part of `GL_OES_draw_texture`
    `static int` | `GL_TEXTURE_DEPTH_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_EXTERNAL_OES` Part of `GL_OES_EGL_image_external`
    `static int` | `GL_TEXTURE_FORMAT_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_HEIGHT_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_IMAGE_VALID_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_INTERNAL_FORMAT_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_MATRIX_FLOAT_AS_INT_BITS_OES` Part of `GL_OES_matrix_get`
    `static int` | `GL_TEXTURE_MAX_LEVEL_APPLE` Part of `GL_APPLE_texture_max_level`
    `static int` | `GL_TEXTURE_NUM_LEVELS_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_OBJECT_VALID_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_SAMPLES_IMG` Part of `GL_IMG_multisampled_render_to_texture`
    `static int` | `GL_TEXTURE_TARGET_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_TYPE_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_WIDTH_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_UNSIGNED_SHORT_4_4_4_4_REV_IMG` Part of `GL_IMG_read_format`
    `static int` | `GL_VERTEX_ARRAY_BINDING_OES` Part of `GL_OES_vertex_array_object`
    `static int` | `GL_WRITEONLY_RENDERING_QCOM` Part of `GL_QCOM_writeonly_rendering`

    - ### Fields inherited from interface javax.media.opengl.GL2ES1

      `GL_ADD, GL_ADD_SIGNED, GL_ALPHA_SCALE, GL_ALPHA_TEST, GL_ALPHA_TEST_FUNC, GL_ALPHA_TEST_REF, GL_CLIENT_ACTIVE_TEXTURE, GL_CLIP_PLANE0, GL_CLIP_PLANE1, GL_CLIP_PLANE2, GL_CLIP_PLANE3, GL_CLIP_PLANE4, GL_CLIP_PLANE5, GL_COLOR_ARRAY_BUFFER_BINDING, GL_COLOR_ARRAY_POINTER, GL_COLOR_ARRAY_SIZE, GL_COLOR_ARRAY_STRIDE, GL_COLOR_ARRAY_TYPE, GL_COMBINE, GL_COMBINE_ALPHA, GL_COMBINE_RGB, GL_CONSTANT, GL_CONTEXT_ROBUST_ACCESS, GL_COORD_REPLACE, GL_CURRENT_COLOR, GL_CURRENT_NORMAL, GL_CURRENT_PALETTE_MATRIX, GL_CURRENT_TEXTURE_COORDS, GL_DECAL, GL_DOT3_RGB, GL_DOT3_RGBA, GL_EXP, GL_EXP2, GL_FOG, GL_FOG_COLOR, GL_FOG_DENSITY, GL_FOG_END, GL_FOG_HINT, GL_FOG_MODE, GL_FOG_START, GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING, GL_GENERATE_MIPMAP, GL_INTERPOLATE, GL_LIGHT_MODEL_AMBIENT, GL_LIGHT_MODEL_TWO_SIDE, GL_MATRIX_INDEX_ARRAY, GL_MATRIX_INDEX_ARRAY_POINTER, GL_MATRIX_INDEX_ARRAY_SIZE, GL_MATRIX_INDEX_ARRAY_STRIDE, GL_MATRIX_INDEX_ARRAY_TYPE, GL_MATRIX_PALETTE, GL_MAX_CLIP_PLANES, GL_MAX_LIGHTS, GL_MAX_MODELVIEW_STACK_DEPTH, GL_MAX_PALETTE_MATRICES, GL_MAX_PROJECTION_STACK_DEPTH, GL_MAX_TEXTURE_STACK_DEPTH, GL_MAX_TEXTURE_UNITS, GL_MAX_VERTEX_UNITS, GL_MODELVIEW_STACK_DEPTH, GL_MODULATE, GL_NORMAL_ARRAY_BUFFER_BINDING, GL_NORMAL_ARRAY_POINTER, GL_NORMAL_ARRAY_STRIDE, GL_NORMAL_ARRAY_TYPE, GL_NORMAL_MAP, GL_OPERAND0_ALPHA, GL_OPERAND0_RGB, GL_OPERAND1_ALPHA, GL_OPERAND1_RGB, GL_OPERAND2_ALPHA, GL_OPERAND2_RGB, GL_PERSPECTIVE_CORRECTION_HINT, GL_POINT_DISTANCE_ATTENUATION, GL_POINT_SIZE_MAX, GL_POINT_SIZE_MIN, GL_POINT_SMOOTH, GL_POINT_SMOOTH_HINT, GL_POINT_SPRITE, GL_PREVIOUS, GL_PRIMARY_COLOR, GL_PROJECTION_STACK_DEPTH, GL_REFLECTION_MAP, GL_RESCALE_NORMAL, GL_RGB_SCALE, GL_SHADE_MODEL, GL_SRC0_ALPHA, GL_SRC0_RGB, GL_SRC1_ALPHA, GL_SRC1_RGB, GL_SRC2_ALPHA, GL_SRC2_RGB, GL_STACK_OVERFLOW, GL_STACK_UNDERFLOW, GL_SUBTRACT, GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING, GL_TEXTURE_COORD_ARRAY_POINTER, GL_TEXTURE_COORD_ARRAY_SIZE, GL_TEXTURE_COORD_ARRAY_STRIDE, GL_TEXTURE_COORD_ARRAY_TYPE, GL_TEXTURE_ENV, GL_TEXTURE_ENV_COLOR, GL_TEXTURE_ENV_MODE, GL_TEXTURE_GEN_MODE, GL_TEXTURE_GEN_STR, GL_TEXTURE_STACK_DEPTH, GL_VERTEX_ARRAY_BUFFER_BINDING, GL_VERTEX_ARRAY_POINTER, GL_VERTEX_ARRAY_SIZE, GL_VERTEX_ARRAY_STRIDE, GL_VERTEX_ARRAY_TYPE, GL_WEIGHT_ARRAY, GL_WEIGHT_ARRAY_BUFFER_BINDING, GL_WEIGHT_ARRAY_POINTER, GL_WEIGHT_ARRAY_SIZE, GL_WEIGHT_ARRAY_STRIDE, GL_WEIGHT_ARRAY_TYPE`

    - ### Fields inherited from interface javax.media.opengl.GL

      `GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALPHA16F, GL_ALPHA32F, GL_ALPHA8, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BGRA, GL_BGRA8, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_STENCIL, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DEPTH24_STENCIL8, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_GUILTY_CONTEXT_RESET, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INNOCENT_CONTEXT_RESET, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LOSE_CONTEXT_ON_RESET, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAP_FLUSH_EXPLICIT_BIT, GL_MAP_INVALIDATE_BUFFER_BIT, GL_MAP_INVALIDATE_RANGE_BIT, GL_MAP_READ_BIT, GL_MAP_UNSYNCHRONIZED_BIT, GL_MAP_WRITE_BIT, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NO_RESET_NOTIFICATION, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RESET_NOTIFICATION_STRATEGY, GL_RGB, GL_RGB10, GL_RGB10_A2, GL_RGB16F, GL_RGB32F, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA16F, GL_RGBA32F, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_SRGB, GL_SRGB_ALPHA, GL_SRGB8_ALPHA8, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_IMMUTABLE_FORMAT, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNKNOWN_CONTEXT_RESET, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_INT_24_8, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

    - ### Fields inherited from interface javax.media.opengl.fixedfunc.GLMatrixFunc

      `GL_MATRIX_MODE, GL_MODELVIEW, GL_MODELVIEW_MATRIX, GL_PROJECTION, GL_PROJECTION_MATRIX, GL_TEXTURE_MATRIX`

    - ### Fields inherited from interface javax.media.opengl.fixedfunc.GLPointerFunc

      `GL_COLOR_ARRAY, GL_NORMAL_ARRAY, GL_TEXTURE_COORD_ARRAY, GL_VERTEX_ARRAY`

    - ### Fields inherited from interface javax.media.opengl.fixedfunc.GLLightingFunc

      `GL_AMBIENT, GL_AMBIENT_AND_DIFFUSE, GL_COLOR_MATERIAL, GL_CONSTANT_ATTENUATION, GL_DIFFUSE, GL_EMISSION, GL_FLAT, GL_LIGHT0, GL_LIGHT1, GL_LIGHT2, GL_LIGHT3, GL_LIGHT4, GL_LIGHT5, GL_LIGHT6, GL_LIGHT7, GL_LIGHTING, GL_LINEAR_ATTENUATION, GL_NORMALIZE, GL_POSITION, GL_QUADRATIC_ATTENUATION, GL_SHININESS, GL_SMOOTH, GL_SPECULAR, GL_SPOT_CUTOFF, GL_SPOT_DIRECTION, GL_SPOT_EXPONENT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `glAlphaFuncx(int func, int ref)` Entry point to C language function: `void glAlphaFuncx(GLenum func, GLclampx ref)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glBindVertexArrayOES(int array)` Entry point to C language function: `void glBindVertexArrayOES(GLuint array)` Part of `GL_OES_vertex_array_object`
    `void` | `glClearColorx(int red, int green, int blue, int alpha)` Entry point to C language function: `void glClearColorx(GLclampx red, GLclampx green, GLclampx blue, GLclampx alpha)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glClearDepthx(int depth)` Entry point to C language function: `void glClearDepthx(GLclampx depth)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glClipPlanef(int plane, float[] equation, int equation_offset)` Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation)` Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
    `void` | `glClipPlanef(int plane, FloatBuffer equation)` Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation)` Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
    `void` | `glClipPlanefIMG(int arg0, float[] arg1, int arg1_offset)` Entry point to C language function: `void glClipPlanefIMG(GLenum, const GLfloat * )` Part of `GL_IMG_user_clip_plane`
    `void` | `glClipPlanefIMG(int arg0, FloatBuffer arg1)` Entry point to C language function: `void glClipPlanefIMG(GLenum, const GLfloat * )` Part of `GL_IMG_user_clip_plane`
    `void` | `glClipPlanex(int plane, int[] equation, int equation_offset)` Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glClipPlanex(int plane, IntBuffer equation)` Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glClipPlanexIMG(int arg0, int[] arg1, int arg1_offset)` Entry point to C language function: `void glClipPlanexIMG(GLenum, const GLfixed * )` Part of `GL_IMG_user_clip_plane`
    `void` | `glClipPlanexIMG(int arg0, IntBuffer arg1)` Entry point to C language function: `void glClipPlanexIMG(GLenum, const GLfixed * )` Part of `GL_IMG_user_clip_plane`
    `void` | `glColor4x(int red, int green, int blue, int alpha)` Entry point to C language function: `void glColor4x(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glCopyTextureLevelsAPPLE(int destinationTexture, int sourceTexture, int sourceBaseLevel, int sourceLevelCount)` Entry point to C language function: `void glCopyTextureLevelsAPPLE(GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount)` Part of `GL_APPLE_copy_texture_levels`
    `void` | `glCurrentPaletteMatrix(int matrixpaletteindex)` Entry point to C language function: `void glCurrentPaletteMatrix(GLuint matrixpaletteindex)` Part of `GL_ARB_matrix_palette`; `GL_OES_matrix_palette`
    `void` | `glDeleteFencesNV(int arg0, int[] arg1, int arg1_offset)` Entry point to C language function: `void glDeleteFencesNV(GLsizei, const GLuint * )` Part of `GL_NV_fence`
    `void` | `glDeleteFencesNV(int arg0, IntBuffer arg1)` Entry point to C language function: `void glDeleteFencesNV(GLsizei, const GLuint * )` Part of `GL_NV_fence`
    `void` | `glDeleteVertexArraysOES(int n, int[] arrays, int arrays_offset)` Entry point to C language function: `void glDeleteVertexArraysOES(GLsizei n, const GLuint * arrays)` Part of `GL_OES_vertex_array_object`
    `void` | `glDeleteVertexArraysOES(int n, IntBuffer arrays)` Entry point to C language function: `void glDeleteVertexArraysOES(GLsizei n, const GLuint * arrays)` Part of `GL_OES_vertex_array_object`
    `void` | `glDepthRangex(int zNear, int zFar)` Entry point to C language function: `void glDepthRangex(GLclampx zNear, GLclampx zFar)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glDisableDriverControlQCOM(int driverControl)` Entry point to C language function: `void glDisableDriverControlQCOM(GLuint driverControl)` Part of `GL_QCOM_driver_control`
    `void` | `glDiscardFramebufferEXT(int target, int numAttachments, int[] attachments, int attachments_offset)` Entry point to C language function: `void glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum * attachments)` Part of `GL_EXT_discard_framebuffer`
    `void` | `glDiscardFramebufferEXT(int target, int numAttachments, IntBuffer attachments)` Entry point to C language function: `void glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum * attachments)` Part of `GL_EXT_discard_framebuffer`
    `void` | `glDrawTexfOES(float x, float y, float z, float width, float height)` Entry point to C language function: `void glDrawTexfOES(GLfloat x, GLfloat y, GLfloat z, GLfloat width, GLfloat height)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexfvOES(float[] coords, int coords_offset)` Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexfvOES(FloatBuffer coords)` Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexiOES(int x, int y, int z, int width, int height)` Entry point to C language function: `void glDrawTexiOES(GLint x, GLint y, GLint z, GLint width, GLint height)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexivOES(int[] coords, int coords_offset)` Entry point to C language function: `void glDrawTexivOES(const GLint * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexivOES(IntBuffer coords)` Entry point to C language function: `void glDrawTexivOES(const GLint * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexsOES(short x, short y, short z, short width, short height)` Entry point to C language function: `void glDrawTexsOES(GLshort x, GLshort y, GLshort z, GLshort width, GLshort height)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexsvOES(short[] coords, int coords_offset)` Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexsvOES(ShortBuffer coords)` Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexxOES(int x, int y, int z, int width, int height)` Entry point to C language function: `void glDrawTexxOES(GLfixed x, GLfixed y, GLfixed z, GLfixed width, GLfixed height)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexxvOES(int[] coords, int coords_offset)` Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexxvOES(IntBuffer coords)` Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords)` Part of `GL_OES_draw_texture`
    `void` | `glEGLImageTargetRenderbufferStorageOES(int target, long image)` Entry point to C language function: `void glEGLImageTargetRenderbufferStorageOES(GLenum target, GLeglImageOES image)` Part of `GL_OES_EGL_image`
    `void` | `glEGLImageTargetTexture2DOES(int target, long image)` Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image)` Part of `GL_OES_EGL_image`
    `void` | `glEnableDriverControlQCOM(int driverControl)` Entry point to C language function: `void glEnableDriverControlQCOM(GLuint driverControl)` Part of `GL_QCOM_driver_control`
    `void` | `glEndTilingQCOM(int preserveMask)` Entry point to C language function: `void glEndTilingQCOM(GLbitfield preserveMask)` Part of `GL_QCOM_tiled_rendering`
    `void` | `glExtGetBufferPointervQCOM(int target, PointerBuffer params)` Entry point to C language function: `void glExtGetBufferPointervQCOM(GLenum target, GLvoid * * params)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetBuffersQCOM(int[] buffers, int buffers_offset, int maxBuffers, int[] numBuffers, int numBuffers_offset)` Entry point to C language function: `void glExtGetBuffersQCOM(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetBuffersQCOM(IntBuffer buffers, int maxBuffers, IntBuffer numBuffers)` Entry point to C language function: `void glExtGetBuffersQCOM(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetFramebuffersQCOM(int[] framebuffers, int framebuffers_offset, int maxFramebuffers, int[] numFramebuffers, int numFramebuffers_offset)` Entry point to C language function: `void glExtGetFramebuffersQCOM(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetFramebuffersQCOM(IntBuffer framebuffers, int maxFramebuffers, IntBuffer numFramebuffers)` Entry point to C language function: `void glExtGetFramebuffersQCOM(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetProgramBinarySourceQCOM(int program, int shadertype, byte[] source, int source_offset, int[] length, int length_offset)` Entry point to C language function: `void glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar * source, GLint * length)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetProgramBinarySourceQCOM(int program, int shadertype, ByteBuffer source, IntBuffer length)` Entry point to C language function: `void glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar * source, GLint * length)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetProgramsQCOM(int[] programs, int programs_offset, int maxPrograms, int[] numPrograms, int numPrograms_offset)` Entry point to C language function: `void glExtGetProgramsQCOM(GLuint * programs, GLint maxPrograms, GLint * numPrograms)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetProgramsQCOM(IntBuffer programs, int maxPrograms, IntBuffer numPrograms)` Entry point to C language function: `void glExtGetProgramsQCOM(GLuint * programs, GLint maxPrograms, GLint * numPrograms)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetRenderbuffersQCOM(int[] renderbuffers, int renderbuffers_offset, int maxRenderbuffers, int[] numRenderbuffers, int numRenderbuffers_offset)` Entry point to C language function: `void glExtGetRenderbuffersQCOM(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetRenderbuffersQCOM(IntBuffer renderbuffers, int maxRenderbuffers, IntBuffer numRenderbuffers)` Entry point to C language function: `void glExtGetRenderbuffersQCOM(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetShadersQCOM(int[] shaders, int shaders_offset, int maxShaders, int[] numShaders, int numShaders_offset)` Entry point to C language function: `void glExtGetShadersQCOM(GLuint * shaders, GLint maxShaders, GLint * numShaders)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetShadersQCOM(IntBuffer shaders, int maxShaders, IntBuffer numShaders)` Entry point to C language function: `void glExtGetShadersQCOM(GLuint * shaders, GLint maxShaders, GLint * numShaders)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetTexLevelParameterivQCOM(int texture, int face, int level, int pname, int[] params, int params_offset)` Entry point to C language function: `void glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetTexLevelParameterivQCOM(int texture, int face, int level, int pname, IntBuffer params)` Entry point to C language function: `void glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetTexSubImageQCOM(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, Buffer texels)` Entry point to C language function: `void glExtGetTexSubImageQCOM(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, GLvoid * texels)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetTexturesQCOM(int[] textures, int textures_offset, int maxTextures, int[] numTextures, int numTextures_offset)` Entry point to C language function: `void glExtGetTexturesQCOM(GLuint * textures, GLint maxTextures, GLint * numTextures)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetTexturesQCOM(IntBuffer textures, int maxTextures, IntBuffer numTextures)` Entry point to C language function: `void glExtGetTexturesQCOM(GLuint * textures, GLint maxTextures, GLint * numTextures)` Part of `GL_QCOM_extended_get`
    `boolean` | `glExtIsProgramBinaryQCOM(int program)` Entry point to C language function: `GLboolean glExtIsProgramBinaryQCOM(GLuint program)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtTexObjectStateOverrideiQCOM(int target, int pname, int param)` Entry point to C language function: `void glExtTexObjectStateOverrideiQCOM(GLenum target, GLenum pname, GLint param)` Part of `GL_QCOM_extended_get`
    `void` | `glFinishFenceNV(int arg0)` Entry point to C language function: `void glFinishFenceNV(GLuint)` Part of `GL_NV_fence`
    `void` | `glFogx(int pname, int param)` Entry point to C language function: `void glFogx(GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glFogxv(int pname, int[] params, int params_offset)` Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glFogxv(int pname, IntBuffer params)` Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glFramebufferTexture2DMultisampleEXT(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glFramebufferTexture2DMultisampleEXT(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei)` Part of `GL_EXT_multisampled_render_to_texture`
    `void` | `glFramebufferTexture2DMultisampleIMG(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glFramebufferTexture2DMultisampleIMG(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei)` Part of `GL_IMG_multisampled_render_to_texture`
    `void` | `glFrustumx(int left, int right, int bottom, int top, int zNear, int zFar)` Entry point to C language function: `void glFrustumx(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGenFencesNV(int arg0, int[] arg1, int arg1_offset)` Entry point to C language function: `void glGenFencesNV(GLsizei, GLuint * )` Part of `GL_NV_fence`
    `void` | `glGenFencesNV(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGenFencesNV(GLsizei, GLuint * )` Part of `GL_NV_fence`
    `void` | `glGenVertexArraysOES(int n, int[] arrays, int arrays_offset)` Entry point to C language function: `void glGenVertexArraysOES(GLsizei n, GLuint * arrays)` Part of `GL_OES_vertex_array_object`
    `void` | `glGenVertexArraysOES(int n, IntBuffer arrays)` Entry point to C language function: `void glGenVertexArraysOES(GLsizei n, GLuint * arrays)` Part of `GL_OES_vertex_array_object`
    `void` | `glGetClipPlanef(int pname, float[] equation, int equation_offset)` Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * equation)` Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
    `void` | `glGetClipPlanef(int pname, FloatBuffer equation)` Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * equation)` Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
    `void` | `glGetClipPlanex(int pname, int[] eqn, int eqn_offset)` Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetClipPlanex(int pname, IntBuffer eqn)` Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetDriverControlsQCOM(int[] num, int num_offset, int size, int[] driverControls, int driverControls_offset)` Entry point to C language function: `void glGetDriverControlsQCOM(GLint * num, GLsizei size, GLuint * driverControls)` Part of `GL_QCOM_driver_control`
    `void` | `glGetDriverControlsQCOM(IntBuffer num, int size, IntBuffer driverControls)` Entry point to C language function: `void glGetDriverControlsQCOM(GLint * num, GLsizei size, GLuint * driverControls)` Part of `GL_QCOM_driver_control`
    `void` | `glGetDriverControlStringQCOM(int driverControl, int bufSize, int[] length, int length_offset, byte[] driverControlString, int driverControlString_offset)` Entry point to C language function: `void glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)` Part of `GL_QCOM_driver_control`
    `void` | `glGetDriverControlStringQCOM(int driverControl, int bufSize, IntBuffer length, ByteBuffer driverControlString)` Entry point to C language function: `void glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)` Part of `GL_QCOM_driver_control`
    `void` | `glGetFenceivNV(int arg0, int arg1, int[] arg2, int arg2_offset)` Entry point to C language function: `void glGetFenceivNV(GLuint, GLenum, GLint * )` Part of `GL_NV_fence`
    `void` | `glGetFenceivNV(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetFenceivNV(GLuint, GLenum, GLint * )` Part of `GL_NV_fence`
    `void` | `glGetFixedv(int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetFixedv(int pname, IntBuffer params)` Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetLightxv(int light, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetLightxv(int light, int pname, IntBuffer params)` Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetMaterialxv(int face, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetMaterialxv(int face, int pname, IntBuffer params)` Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetTexEnvxv(int tenv, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetTexEnvxv(int tenv, int pname, IntBuffer params)` Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetTexParameterxv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetTexParameterxv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `boolean` | `glIsFenceNV(int arg0)` Entry point to C language function: `GLboolean glIsFenceNV(GLuint)` Part of `GL_NV_fence`
    `boolean` | `glIsVertexArrayOES(int array)` Entry point to C language function: `GLboolean glIsVertexArrayOES(GLuint array)` Part of `GL_OES_vertex_array_object`
    `void` | `glLightModelx(int pname, int param)` Entry point to C language function: `void glLightModelx(GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLightModelxv(int pname, int[] params, int params_offset)` Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLightModelxv(int pname, IntBuffer params)` Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLightx(int light, int pname, int param)` Entry point to C language function: `void glLightx(GLenum light, GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLightxv(int light, int pname, int[] params, int params_offset)` Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLightxv(int light, int pname, IntBuffer params)` Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLineWidthx(int width)` Entry point to C language function: `void glLineWidthx(GLfixed width)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLoadMatrixx(int[] m, int m_offset)` Entry point to C language function: `void glLoadMatrixx(const GLfixed * m)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLoadMatrixx(IntBuffer m)` Entry point to C language function: `void glLoadMatrixx(const GLfixed * m)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLoadPaletteFromModelViewMatrixOES()` Entry point to C language function: `void glLoadPaletteFromModelViewMatrixOES(void)` Part of `GL_OES_matrix_palette`
    `void` | `glMaterialx(int face, int pname, int param)` Entry point to C language function: `void glMaterialx(GLenum face, GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glMaterialxv(int face, int pname, int[] params, int params_offset)` Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glMaterialxv(int face, int pname, IntBuffer params)` Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glMatrixIndexPointer(int size, int type, int stride, Buffer pointer)` Entry point to C language function: `void glMatrixIndexPointer(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer)` Part of `GL_ARB_matrix_palette`; `GL_OES_matrix_palette`
    `void` | `glMultiTexCoord4x(int target, int s, int t, int r, int q)` Entry point to C language function: `void glMultiTexCoord4x(GLenum target, GLfixed s, GLfixed t, GLfixed r, GLfixed q)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glMultMatrixx(int[] m, int m_offset)` Entry point to C language function: `void glMultMatrixx(const GLfixed * m)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glMultMatrixx(IntBuffer m)` Entry point to C language function: `void glMultMatrixx(const GLfixed * m)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glNormal3x(int nx, int ny, int nz)` Entry point to C language function: `void glNormal3x(GLfixed nx, GLfixed ny, GLfixed nz)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glOrthox(int left, int right, int bottom, int top, int zNear, int zFar)` Entry point to C language function: `void glOrthox(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glPointParameterx(int pname, int param)` Entry point to C language function: `void glPointParameterx(GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glPointParameterxv(int pname, int[] params, int params_offset)` Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glPointParameterxv(int pname, IntBuffer params)` Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glPointSizePointerOES(int type, int stride, Buffer pointer)` Entry point to C language function: `void glPointSizePointerOES(GLenum type, GLsizei stride, const GLvoid * pointer)` Part of `GL_OES_point_size_array`
    `void` | `glPointSizex(int size)` Entry point to C language function: `void glPointSizex(GLfixed size)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glPolygonOffsetx(int factor, int units)` Entry point to C language function: `void glPolygonOffsetx(GLfixed factor, GLfixed units)` Part of `GL_VERSION_ES_CL_CM`
    `int` | `glQueryMatrixxOES(int[] mantissa, int mantissa_offset, int[] exponent, int exponent_offset)` Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent)` Part of `GL_OES_query_matrix`
    `int` | `glQueryMatrixxOES(IntBuffer mantissa, IntBuffer exponent)` Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent)` Part of `GL_OES_query_matrix`
    `void` | `glRenderbufferStorageMultisampleAPPLE(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glRenderbufferStorageMultisampleAPPLE(GLenum, GLsizei, GLenum, GLsizei, GLsizei)` Part of `GL_APPLE_framebuffer_multisample`
    `void` | `glRenderbufferStorageMultisampleIMG(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glRenderbufferStorageMultisampleIMG(GLenum, GLsizei, GLenum, GLsizei, GLsizei)` Part of `GL_IMG_multisampled_render_to_texture`
    `void` | `glResolveMultisampleFramebufferAPPLE()` Entry point to C language function: `void glResolveMultisampleFramebufferAPPLE(void)` Part of `GL_APPLE_framebuffer_multisample`
    `void` | `glRotatex(int angle, int x, int y, int z)` Entry point to C language function: `void glRotatex(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glSampleCoveragex(int value, boolean invert)` Entry point to C language function: `void glSampleCoveragex(GLclampx value, GLboolean invert)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glScalex(int x, int y, int z)` Entry point to C language function: `void glScalex(GLfixed x, GLfixed y, GLfixed z)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glSetFenceNV(int arg0, int arg1)` Entry point to C language function: `void glSetFenceNV(GLuint, GLenum)` Part of `GL_NV_fence`
    `void` | `glStartTilingQCOM(int x, int y, int width, int height, int preserveMask)` Entry point to C language function: `void glStartTilingQCOM(GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask)` Part of `GL_QCOM_tiled_rendering`
    `boolean` | `glTestFenceNV(int arg0)` Entry point to C language function: `GLboolean glTestFenceNV(GLuint)` Part of `GL_NV_fence`
    `void` | `glTexEnvx(int target, int pname, int param)` Entry point to C language function: `void glTexEnvx(GLenum target, GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glTexEnvxv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glTexEnvxv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glTexParameterx(int target, int pname, int param)` Entry point to C language function: `void glTexParameterx(GLenum target, GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glTexParameterxv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glTexParameterxv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glTranslatex(int x, int y, int z)` Entry point to C language function: `void glTranslatex(GLfixed x, GLfixed y, GLfixed z)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glWeightPointer(int size, int type, int stride, Buffer pointer)` Entry point to C language function: `void glWeightPointer(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer)` Part of `GL_ARB_vertex_blend`; `GL_OES_matrix_palette`

    - ### Methods inherited from interface javax.media.opengl.GL2ES1

      `glAlphaFunc, glClientActiveTexture, glColor4ub, glDrawElements, glFogf, glFogfv, glFogfv, glFrustum, glGetLightfv, glGetLightfv, glGetMaterialfv, glGetMaterialfv, glGetTexEnvfv, glGetTexEnvfv, glGetTexEnviv, glGetTexEnviv, glGetTexGenfv, glGetTexGenfv, glGetTexGeniv, glGetTexGeniv, glLightf, glLightModelf, glLightModelfv, glLightModelfv, glLogicOp, glMultiTexCoord4f, glNormal3f, glOrtho, glPointParameterf, glPointParameterfv, glPointParameterfv, glPointSize, glTexEnvf, glTexEnvfv, glTexEnvfv, glTexEnvi, glTexEnviv, glTexEnviv, glTexGenf, glTexGenfv, glTexGenfv, glTexGeni, glTexGeniv, glTexGeniv`

    - ### Methods inherited from interface javax.media.opengl.GL

      `glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearDepthf, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDepthRangef, glDisable, glDrawArrays, glDrawElements, glEnable, glFinish, glFlush, glFlushMappedBufferRange, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetGraphicsResetStatus, glGetIntegerv, glGetIntegerv, glGetnUniformfv, glGetnUniformfv, glGetnUniformiv, glGetnUniformiv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glLineWidth, glMapBuffer, glMapBufferRange, glPixelStorei, glPolygonOffset, glReadnPixels, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexStorage1D, glTexStorage2D, glTexStorage3D, glTexSubImage2D, glTexSubImage2D, glTextureStorage1D, glTextureStorage2D, glTextureStorage3D, glUnmapBuffer, glViewport`

    - ### Methods inherited from interface javax.media.opengl.GLBase

      `getBoundBuffer, getBoundFramebuffer, getBufferStorage, getContext, getDefaultDrawFramebuffer, getDefaultReadBuffer, getDefaultReadFramebuffer, getDownstreamGL, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2ES3, getGL2GL3, getGL3, getGL3bc, getGL3ES3, getGL4, getGL4bc, getGL4ES3, getGLES1, getGLES2, getGLES3, getGLProfile, getMaxRenderbufferSamples, getPlatformGLExtensions, getRootGL, getSwapInterval, glClearDepth, glDepthRange, hasBasicFBOSupport, hasFullFBOSupport, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2ES3, isGL2GL3, isGL3, isGL3bc, isGL3core, isGL3ES3, isGL4, isGL4bc, isGL4core, isGL4ES3, isGLcore, isGLES, isGLES1, isGLES2, isGLES2Compatible, isGLES3, isGLES3Compatible, isNPOTTextureAvailable, isTextureFormatBGRA8888Available, isVBOArrayBound, isVBOElementArrayBound, mapBuffer, mapBufferRange, setSwapInterval`

    - ### Methods inherited from interface javax.media.opengl.fixedfunc.GLMatrixFunc

      `glFrustumf, glGetFloatv, glGetFloatv, glGetIntegerv, glGetIntegerv, glLoadIdentity, glLoadMatrixf, glLoadMatrixf, glMatrixMode, glMultMatrixf, glMultMatrixf, glOrthof, glPopMatrix, glPushMatrix, glRotatef, glScalef, glTranslatef`

    - ### Methods inherited from interface javax.media.opengl.fixedfunc.GLPointerFunc

      `glColor4f, glColorPointer, glColorPointer, glColorPointer, glDisableClientState, glEnableClientState, glNormalPointer, glNormalPointer, glNormalPointer, glTexCoordPointer, glTexCoordPointer, glTexCoordPointer, glVertexPointer, glVertexPointer, glVertexPointer`

    - ### Methods inherited from interface javax.media.opengl.fixedfunc.GLLightingFunc

      `glColor4f, glLightfv, glLightfv, glMaterialf, glMaterialfv, glMaterialfv, glShadeModel`

- - ### Field Detail

    - #### GL_PALETTE4_RGB8_OES

          static final int GL_PALETTE4_RGB8_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE4_RGBA8_OES

          static final int GL_PALETTE4_RGBA8_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE4_R5_G6_B5_OES

          static final int GL_PALETTE4_R5_G6_B5_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE4_RGBA4_OES

          static final int GL_PALETTE4_RGBA4_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE4_RGB5_A1_OES

          static final int GL_PALETTE4_RGB5_A1_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE8_RGB8_OES

          static final int GL_PALETTE8_RGB8_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE8_RGBA8_OES

          static final int GL_PALETTE8_RGBA8_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE8_R5_G6_B5_OES

          static final int GL_PALETTE8_R5_G6_B5_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE8_RGBA4_OES

          static final int GL_PALETTE8_RGBA4_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE8_RGB5_A1_OES

          static final int GL_PALETTE8_RGB5_A1_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_POINT_SIZE_ARRAY_OES

          static final int GL_POINT_SIZE_ARRAY_OES

      Part of `GL_OES_point_size_array`
      See Also:
        Constant Field Values

    - #### GL_POINT_SIZE_ARRAY_TYPE_OES

          static final int GL_POINT_SIZE_ARRAY_TYPE_OES

      Part of `GL_OES_point_size_array`
      See Also:
        Constant Field Values

    - #### GL_POINT_SIZE_ARRAY_STRIDE_OES

          static final int GL_POINT_SIZE_ARRAY_STRIDE_OES

      Part of `GL_OES_point_size_array`
      See Also:
        Constant Field Values

    - #### GL_POINT_SIZE_ARRAY_POINTER_OES

          static final int GL_POINT_SIZE_ARRAY_POINTER_OES

      Part of `GL_OES_point_size_array`
      See Also:
        Constant Field Values

    - #### GL_POINT_SIZE_ARRAY_BUFFER_BINDING_OES

          static final int GL_POINT_SIZE_ARRAY_BUFFER_BINDING_OES

      Part of `GL_OES_point_size_array`
      See Also:
        Constant Field Values

    - #### GL_ETC1_RGB8_OES

          static final int GL_ETC1_RGB8_OES

      Part of `GL_OES_compressed_ETC1_RGB8_texture`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_CROP_RECT_OES

          static final int GL_TEXTURE_CROP_RECT_OES

      Part of `GL_OES_draw_texture`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_EXTERNAL_OES

          static final int GL_TEXTURE_EXTERNAL_OES

      Part of `GL_OES_EGL_image_external`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BINDING_EXTERNAL_OES

          static final int GL_TEXTURE_BINDING_EXTERNAL_OES

      Part of `GL_OES_EGL_image_external`
      See Also:
        Constant Field Values

    - #### GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES

          static final int GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES

      Part of `GL_OES_EGL_image_external`
      See Also:
        Constant Field Values

    - #### GL_MODELVIEW_MATRIX_FLOAT_AS_INT_BITS_OES

          static final int GL_MODELVIEW_MATRIX_FLOAT_AS_INT_BITS_OES

      Part of `GL_OES_matrix_get`
      See Also:
        Constant Field Values

    - #### GL_PROJECTION_MATRIX_FLOAT_AS_INT_BITS_OES

          static final int GL_PROJECTION_MATRIX_FLOAT_AS_INT_BITS_OES

      Part of `GL_OES_matrix_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_MATRIX_FLOAT_AS_INT_BITS_OES

          static final int GL_TEXTURE_MATRIX_FLOAT_AS_INT_BITS_OES

      Part of `GL_OES_matrix_get`
      See Also:
        Constant Field Values

    - #### GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES

          static final int GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES

      Part of `GL_OES_matrix_palette`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ARRAY_BINDING_OES

          static final int GL_VERTEX_ARRAY_BINDING_OES

      Part of `GL_OES_vertex_array_object`
      See Also:
        Constant Field Values

    - #### GL_3DC_X_AMD

          static final int GL_3DC_X_AMD

      Part of `GL_AMD_compressed_3DC_texture`
      See Also:
        Constant Field Values

    - #### GL_3DC_XY_AMD

          static final int GL_3DC_XY_AMD

      Part of `GL_AMD_compressed_3DC_texture`
      See Also:
        Constant Field Values

    - #### GL_ATC_RGB_AMD

          static final int GL_ATC_RGB_AMD

      Part of `GL_AMD_compressed_ATC_texture`
      See Also:
        Constant Field Values

    - #### GL_ATC_RGBA_EXPLICIT_ALPHA_AMD

          static final int GL_ATC_RGBA_EXPLICIT_ALPHA_AMD

      Part of `GL_AMD_compressed_ATC_texture`
      See Also:
        Constant Field Values

    - #### GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD

          static final int GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD

      Part of `GL_AMD_compressed_ATC_texture`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_SAMPLES_APPLE

          static final int GL_RENDERBUFFER_SAMPLES_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE

          static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_MAX_SAMPLES_APPLE

          static final int GL_MAX_SAMPLES_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_READ_FRAMEBUFFER_APPLE

          static final int GL_READ_FRAMEBUFFER_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_DRAW_FRAMEBUFFER_APPLE

          static final int GL_DRAW_FRAMEBUFFER_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_DRAW_FRAMEBUFFER_BINDING_APPLE

          static final int GL_DRAW_FRAMEBUFFER_BINDING_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_READ_FRAMEBUFFER_BINDING_APPLE

          static final int GL_READ_FRAMEBUFFER_BINDING_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_MAX_LEVEL_APPLE

          static final int GL_TEXTURE_MAX_LEVEL_APPLE

      Part of `GL_APPLE_texture_max_level`
      See Also:
        Constant Field Values

    - #### GL_COLOR_EXT

          static final int GL_COLOR_EXT

      Part of `GL_EXT_discard_framebuffer`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_EXT

          static final int GL_DEPTH_EXT

      Part of `GL_EXT_discard_framebuffer`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_EXT

          static final int GL_STENCIL_EXT

      Part of `GL_EXT_discard_framebuffer`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT

          static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT

      Part of `GL_EXT_multisampled_render_to_texture`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE8

          static final int GL_LUMINANCE8

      Part of `GL_VERSION_1_1`; `GL_EXT_texture`, `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE8_ALPHA8

          static final int GL_LUMINANCE8_ALPHA8

      Part of `GL_VERSION_1_1`; `GL_EXT_texture`, `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE32F

          static final int GL_LUMINANCE32F

      Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE_ALPHA32F

          static final int GL_LUMINANCE_ALPHA32F

      Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE16F

          static final int GL_LUMINANCE16F

      Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE_ALPHA16F

          static final int GL_LUMINANCE_ALPHA16F

      Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_BGRA_IMG

          static final int GL_BGRA_IMG

      Part of `GL_IMG_read_format`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_SHORT_4_4_4_4_REV_IMG

          static final int GL_UNSIGNED_SHORT_4_4_4_4_REV_IMG

      Part of `GL_IMG_read_format`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG

          static final int GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG

      Part of `GL_IMG_texture_compression_pvrtc`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG

          static final int GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG

      Part of `GL_IMG_texture_compression_pvrtc`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG

          static final int GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG

      Part of `GL_IMG_texture_compression_pvrtc`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG

          static final int GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG

      Part of `GL_IMG_texture_compression_pvrtc`
      See Also:
        Constant Field Values

    - #### GL_MODULATE_COLOR_IMG

          static final int GL_MODULATE_COLOR_IMG

      Part of `GL_IMG_texture_env_enhanced_fixed_function`
      See Also:
        Constant Field Values

    - #### GL_RECIP_ADD_SIGNED_ALPHA_IMG

          static final int GL_RECIP_ADD_SIGNED_ALPHA_IMG

      Part of `GL_IMG_texture_env_enhanced_fixed_function`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_ALPHA_MODULATE_IMG

          static final int GL_TEXTURE_ALPHA_MODULATE_IMG

      Part of `GL_IMG_texture_env_enhanced_fixed_function`
      See Also:
        Constant Field Values

    - #### GL_FACTOR_ALPHA_MODULATE_IMG

          static final int GL_FACTOR_ALPHA_MODULATE_IMG

      Part of `GL_IMG_texture_env_enhanced_fixed_function`
      See Also:
        Constant Field Values

    - #### GL_FRAGMENT_ALPHA_MODULATE_IMG

          static final int GL_FRAGMENT_ALPHA_MODULATE_IMG

      Part of `GL_IMG_texture_env_enhanced_fixed_function`
      See Also:
        Constant Field Values

    - #### GL_ADD_BLEND_IMG

          static final int GL_ADD_BLEND_IMG

      Part of `GL_IMG_texture_env_enhanced_fixed_function`
      See Also:
        Constant Field Values

    - #### GL_DOT3_RGBA_IMG

          static final int GL_DOT3_RGBA_IMG

      Part of `GL_IMG_texture_env_enhanced_fixed_function`
      See Also:
        Constant Field Values

    - #### GL_CLIP_PLANE0_IMG

          static final int GL_CLIP_PLANE0_IMG

      Part of `GL_IMG_user_clip_plane`
      See Also:
        Constant Field Values

    - #### GL_CLIP_PLANE1_IMG

          static final int GL_CLIP_PLANE1_IMG

      Part of `GL_IMG_user_clip_plane`
      See Also:
        Constant Field Values

    - #### GL_CLIP_PLANE2_IMG

          static final int GL_CLIP_PLANE2_IMG

      Part of `GL_IMG_user_clip_plane`
      See Also:
        Constant Field Values

    - #### GL_CLIP_PLANE3_IMG

          static final int GL_CLIP_PLANE3_IMG

      Part of `GL_IMG_user_clip_plane`
      See Also:
        Constant Field Values

    - #### GL_CLIP_PLANE4_IMG

          static final int GL_CLIP_PLANE4_IMG

      Part of `GL_IMG_user_clip_plane`
      See Also:
        Constant Field Values

    - #### GL_CLIP_PLANE5_IMG

          static final int GL_CLIP_PLANE5_IMG

      Part of `GL_IMG_user_clip_plane`
      See Also:
        Constant Field Values

    - #### GL_MAX_CLIP_PLANES_IMG

          static final int GL_MAX_CLIP_PLANES_IMG

      Part of `GL_IMG_user_clip_plane`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_SAMPLES_IMG

          static final int GL_RENDERBUFFER_SAMPLES_IMG

      Part of `GL_IMG_multisampled_render_to_texture`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG

          static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG

      Part of `GL_IMG_multisampled_render_to_texture`
      See Also:
        Constant Field Values

    - #### GL_MAX_SAMPLES_IMG

          static final int GL_MAX_SAMPLES_IMG

      Part of `GL_IMG_multisampled_render_to_texture`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_SAMPLES_IMG

          static final int GL_TEXTURE_SAMPLES_IMG

      Part of `GL_IMG_multisampled_render_to_texture`
      See Also:
        Constant Field Values

    - #### GL_ALL_COMPLETED_NV

          static final int GL_ALL_COMPLETED_NV

      Part of `GL_NV_fence`
      See Also:
        Constant Field Values

    - #### GL_FENCE_STATUS_NV

          static final int GL_FENCE_STATUS_NV

      Part of `GL_NV_fence`
      See Also:
        Constant Field Values

    - #### GL_FENCE_CONDITION_NV

          static final int GL_FENCE_CONDITION_NV

      Part of `GL_NV_fence`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_WIDTH_QCOM

          static final int GL_TEXTURE_WIDTH_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_HEIGHT_QCOM

          static final int GL_TEXTURE_HEIGHT_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_DEPTH_QCOM

          static final int GL_TEXTURE_DEPTH_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_INTERNAL_FORMAT_QCOM

          static final int GL_TEXTURE_INTERNAL_FORMAT_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_FORMAT_QCOM

          static final int GL_TEXTURE_FORMAT_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_TYPE_QCOM

          static final int GL_TEXTURE_TYPE_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_IMAGE_VALID_QCOM

          static final int GL_TEXTURE_IMAGE_VALID_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_NUM_LEVELS_QCOM

          static final int GL_TEXTURE_NUM_LEVELS_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_TARGET_QCOM

          static final int GL_TEXTURE_TARGET_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_OBJECT_VALID_QCOM

          static final int GL_TEXTURE_OBJECT_VALID_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_STATE_RESTORE

          static final int GL_STATE_RESTORE

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_PERFMON_GLOBAL_MODE_QCOM

          static final int GL_PERFMON_GLOBAL_MODE_QCOM

      Part of `GL_QCOM_perfmon_global_mode`
      See Also:
        Constant Field Values

    - #### GL_WRITEONLY_RENDERING_QCOM

          static final int GL_WRITEONLY_RENDERING_QCOM

      Part of `GL_QCOM_writeonly_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT0_QCOM

          static final int GL_COLOR_BUFFER_BIT0_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT1_QCOM

          static final int GL_COLOR_BUFFER_BIT1_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT2_QCOM

          static final int GL_COLOR_BUFFER_BIT2_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT3_QCOM

          static final int GL_COLOR_BUFFER_BIT3_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT4_QCOM

          static final int GL_COLOR_BUFFER_BIT4_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT5_QCOM

          static final int GL_COLOR_BUFFER_BIT5_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT6_QCOM

          static final int GL_COLOR_BUFFER_BIT6_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT7_QCOM

          static final int GL_COLOR_BUFFER_BIT7_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT0_QCOM

          static final int GL_DEPTH_BUFFER_BIT0_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT1_QCOM

          static final int GL_DEPTH_BUFFER_BIT1_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT2_QCOM

          static final int GL_DEPTH_BUFFER_BIT2_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT3_QCOM

          static final int GL_DEPTH_BUFFER_BIT3_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT4_QCOM

          static final int GL_DEPTH_BUFFER_BIT4_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT5_QCOM

          static final int GL_DEPTH_BUFFER_BIT5_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT6_QCOM

          static final int GL_DEPTH_BUFFER_BIT6_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT7_QCOM

          static final int GL_DEPTH_BUFFER_BIT7_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT0_QCOM

          static final int GL_STENCIL_BUFFER_BIT0_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT1_QCOM

          static final int GL_STENCIL_BUFFER_BIT1_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT2_QCOM

          static final int GL_STENCIL_BUFFER_BIT2_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT3_QCOM

          static final int GL_STENCIL_BUFFER_BIT3_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT4_QCOM

          static final int GL_STENCIL_BUFFER_BIT4_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT5_QCOM

          static final int GL_STENCIL_BUFFER_BIT5_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT6_QCOM

          static final int GL_STENCIL_BUFFER_BIT6_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT7_QCOM

          static final int GL_STENCIL_BUFFER_BIT7_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT0_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT0_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT1_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT1_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT2_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT2_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT3_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT3_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT4_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT4_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT5_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT5_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT6_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT6_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT7_QCOM

          static final long GL_MULTISAMPLE_BUFFER_BIT7_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### glAlphaFuncx

          void glAlphaFuncx(int func,
                          int ref)

      Entry point to C language function: `void glAlphaFuncx(GLenum func, GLclampx ref)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glBindVertexArrayOES

          void glBindVertexArrayOES(int array)

      Entry point to C language function: `void glBindVertexArrayOES(GLuint array)`
      Part of `GL_OES_vertex_array_object`

    - #### glClearColorx

          void glClearColorx(int red,
                           int green,
                           int blue,
                           int alpha)

      Entry point to C language function: `void glClearColorx(GLclampx red, GLclampx green, GLclampx blue, GLclampx alpha)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glClearDepthx

          void glClearDepthx(int depth)

      Entry point to C language function: `void glClearDepthx(GLclampx depth)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glClipPlanef

          void glClipPlanef(int plane,
                          FloatBuffer equation)

      Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation)`
      Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
      Parameters:
        `equation` - a direct or array-backed `FloatBuffer`

    - #### glClipPlanef

          void glClipPlanef(int plane,
                          float[] equation,
                          int equation_offset)

      Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation)`
      Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`

    - #### glClipPlanefIMG

          void glClipPlanefIMG(int arg0,
                             FloatBuffer arg1)

      Entry point to C language function: `void glClipPlanefIMG(GLenum, const GLfloat * )`
      Part of `GL_IMG_user_clip_plane`
      Parameters:
        `arg1` - a direct or array-backed `FloatBuffer`

    - #### glClipPlanefIMG

          void glClipPlanefIMG(int arg0,
                             float[] arg1,
                             int arg1_offset)

      Entry point to C language function: `void glClipPlanefIMG(GLenum, const GLfloat * )`
      Part of `GL_IMG_user_clip_plane`

    - #### glClipPlanex

          void glClipPlanex(int plane,
                          IntBuffer equation)

      Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `equation` - a direct or array-backed `IntBuffer`

    - #### glClipPlanex

          void glClipPlanex(int plane,
                          int[] equation,
                          int equation_offset)

      Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glClipPlanexIMG

          void glClipPlanexIMG(int arg0,
                             IntBuffer arg1)

      Entry point to C language function: `void glClipPlanexIMG(GLenum, const GLfixed * )`
      Part of `GL_IMG_user_clip_plane`
      Parameters:
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glClipPlanexIMG

          void glClipPlanexIMG(int arg0,
                             int[] arg1,
                             int arg1_offset)

      Entry point to C language function: `void glClipPlanexIMG(GLenum, const GLfixed * )`
      Part of `GL_IMG_user_clip_plane`

    - #### glColor4x

          void glColor4x(int red,
                       int green,
                       int blue,
                       int alpha)

      Entry point to C language function: `void glColor4x(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glCopyTextureLevelsAPPLE

          void glCopyTextureLevelsAPPLE(int destinationTexture,
                                      int sourceTexture,
                                      int sourceBaseLevel,
                                      int sourceLevelCount)

      Entry point to C language function: `void glCopyTextureLevelsAPPLE(GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount)`
      Part of `GL_APPLE_copy_texture_levels`

    - #### glCurrentPaletteMatrix

          void glCurrentPaletteMatrix(int matrixpaletteindex)

      Entry point to C language function: `void glCurrentPaletteMatrix(GLuint matrixpaletteindex)`
      Part of `GL_ARB_matrix_palette`; `GL_OES_matrix_palette`

    - #### glDeleteFencesNV

          void glDeleteFencesNV(int arg0,
                              IntBuffer arg1)

      Entry point to C language function: `void glDeleteFencesNV(GLsizei, const GLuint * )`
      Part of `GL_NV_fence`
      Parameters:
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glDeleteFencesNV

          void glDeleteFencesNV(int arg0,
                              int[] arg1,
                              int arg1_offset)

      Entry point to C language function: `void glDeleteFencesNV(GLsizei, const GLuint * )`
      Part of `GL_NV_fence`

    - #### glDeleteVertexArraysOES

          void glDeleteVertexArraysOES(int n,
                                     IntBuffer arrays)

      Entry point to C language function: `void glDeleteVertexArraysOES(GLsizei n, const GLuint * arrays)`
      Part of `GL_OES_vertex_array_object`
      Parameters:
        `arrays` - a direct or array-backed `IntBuffer`

    - #### glDeleteVertexArraysOES

          void glDeleteVertexArraysOES(int n,
                                     int[] arrays,
                                     int arrays_offset)

      Entry point to C language function: `void glDeleteVertexArraysOES(GLsizei n, const GLuint * arrays)`
      Part of `GL_OES_vertex_array_object`

    - #### glDepthRangex

          void glDepthRangex(int zNear,
                           int zFar)

      Entry point to C language function: `void glDepthRangex(GLclampx zNear, GLclampx zFar)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glDisableDriverControlQCOM

          void glDisableDriverControlQCOM(int driverControl)

      Entry point to C language function: `void glDisableDriverControlQCOM(GLuint driverControl)`
      Part of `GL_QCOM_driver_control`

    - #### glDiscardFramebufferEXT

          void glDiscardFramebufferEXT(int target,
                                     int numAttachments,
                                     IntBuffer attachments)

      Entry point to C language function: `void glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum * attachments)`
      Part of `GL_EXT_discard_framebuffer`
      Parameters:
        `attachments` - a direct or array-backed `IntBuffer`

    - #### glDiscardFramebufferEXT

          void glDiscardFramebufferEXT(int target,
                                     int numAttachments,
                                     int[] attachments,
                                     int attachments_offset)

      Entry point to C language function: `void glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum * attachments)`
      Part of `GL_EXT_discard_framebuffer`

    - #### glDrawTexfOES

          void glDrawTexfOES(float x,
                           float y,
                           float z,
                           float width,
                           float height)

      Entry point to C language function: `void glDrawTexfOES(GLfloat x, GLfloat y, GLfloat z, GLfloat width, GLfloat height)`
      Part of `GL_OES_draw_texture`

    - #### glDrawTexfvOES

          void glDrawTexfvOES(FloatBuffer coords)

      Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords)`
      Part of `GL_OES_draw_texture`
      Parameters:
        `coords` - a direct or array-backed `FloatBuffer`

    - #### glDrawTexfvOES

          void glDrawTexfvOES(float[] coords,
                            int coords_offset)

      Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords)`
      Part of `GL_OES_draw_texture`

    - #### glDrawTexiOES

          void glDrawTexiOES(int x,
                           int y,
                           int z,
                           int width,
                           int height)

      Entry point to C language function: `void glDrawTexiOES(GLint x, GLint y, GLint z, GLint width, GLint height)`
      Part of `GL_OES_draw_texture`

    - #### glDrawTexivOES

          void glDrawTexivOES(IntBuffer coords)

      Entry point to C language function: `void glDrawTexivOES(const GLint * coords)`
      Part of `GL_OES_draw_texture`
      Parameters:
        `coords` - a direct or array-backed `IntBuffer`

    - #### glDrawTexivOES

          void glDrawTexivOES(int[] coords,
                            int coords_offset)

      Entry point to C language function: `void glDrawTexivOES(const GLint * coords)`
      Part of `GL_OES_draw_texture`

    - #### glDrawTexsOES

          void glDrawTexsOES(short x,
                           short y,
                           short z,
                           short width,
                           short height)

      Entry point to C language function: `void glDrawTexsOES(GLshort x, GLshort y, GLshort z, GLshort width, GLshort height)`
      Part of `GL_OES_draw_texture`

    - #### glDrawTexsvOES

          void glDrawTexsvOES(ShortBuffer coords)

      Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords)`
      Part of `GL_OES_draw_texture`
      Parameters:
        `coords` - a direct or array-backed `ShortBuffer`

    - #### glDrawTexsvOES

          void glDrawTexsvOES(short[] coords,
                            int coords_offset)

      Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords)`
      Part of `GL_OES_draw_texture`

    - #### glDrawTexxOES

          void glDrawTexxOES(int x,
                           int y,
                           int z,
                           int width,
                           int height)

      Entry point to C language function: `void glDrawTexxOES(GLfixed x, GLfixed y, GLfixed z, GLfixed width, GLfixed height)`
      Part of `GL_OES_draw_texture`

    - #### glDrawTexxvOES

          void glDrawTexxvOES(IntBuffer coords)

      Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords)`
      Part of `GL_OES_draw_texture`
      Parameters:
        `coords` - a direct or array-backed `IntBuffer`

    - #### glDrawTexxvOES

          void glDrawTexxvOES(int[] coords,
                            int coords_offset)

      Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords)`
      Part of `GL_OES_draw_texture`

    - #### glEGLImageTargetRenderbufferStorageOES

          void glEGLImageTargetRenderbufferStorageOES(int target,
                                                    long image)

      Entry point to C language function: `void glEGLImageTargetRenderbufferStorageOES(GLenum target, GLeglImageOES image)`
      Part of `GL_OES_EGL_image`

    - #### glEGLImageTargetTexture2DOES

          void glEGLImageTargetTexture2DOES(int target,
                                          long image)

      Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image)`
      Part of `GL_OES_EGL_image`

    - #### glEnableDriverControlQCOM

          void glEnableDriverControlQCOM(int driverControl)

      Entry point to C language function: `void glEnableDriverControlQCOM(GLuint driverControl)`
      Part of `GL_QCOM_driver_control`

    - #### glEndTilingQCOM

          void glEndTilingQCOM(int preserveMask)

      Entry point to C language function: `void glEndTilingQCOM(GLbitfield preserveMask)`
      Part of `GL_QCOM_tiled_rendering`

    - #### glExtGetBufferPointervQCOM

          void glExtGetBufferPointervQCOM(int target,
                                        PointerBuffer params)

      Entry point to C language function: `void glExtGetBufferPointervQCOM(GLenum target, GLvoid * * params)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `params` - a direct only `PointerBuffer`

    - #### glExtGetBuffersQCOM

          void glExtGetBuffersQCOM(IntBuffer buffers,
                                 int maxBuffers,
                                 IntBuffer numBuffers)

      Entry point to C language function: `void glExtGetBuffersQCOM(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `buffers` - a direct or array-backed `IntBuffer`
        `numBuffers` - a direct or array-backed `IntBuffer`

    - #### glExtGetBuffersQCOM

          void glExtGetBuffersQCOM(int[] buffers,
                                 int buffers_offset,
                                 int maxBuffers,
                                 int[] numBuffers,
                                 int numBuffers_offset)

      Entry point to C language function: `void glExtGetBuffersQCOM(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)`
      Part of `GL_QCOM_extended_get`

    - #### glExtGetFramebuffersQCOM

          void glExtGetFramebuffersQCOM(IntBuffer framebuffers,
                                      int maxFramebuffers,
                                      IntBuffer numFramebuffers)

      Entry point to C language function: `void glExtGetFramebuffersQCOM(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `framebuffers` - a direct or array-backed `IntBuffer`
        `numFramebuffers` - a direct or array-backed `IntBuffer`

    - #### glExtGetFramebuffersQCOM

          void glExtGetFramebuffersQCOM(int[] framebuffers,
                                      int framebuffers_offset,
                                      int maxFramebuffers,
                                      int[] numFramebuffers,
                                      int numFramebuffers_offset)

      Entry point to C language function: `void glExtGetFramebuffersQCOM(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)`
      Part of `GL_QCOM_extended_get`

    - #### glExtGetProgramBinarySourceQCOM

          void glExtGetProgramBinarySourceQCOM(int program,
                                             int shadertype,
                                             ByteBuffer source,
                                             IntBuffer length)

      Entry point to C language function: `void glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar * source, GLint * length)`
      Part of `GL_QCOM_extended_get2`
      Parameters:
        `source` - a direct or array-backed `ByteBuffer`
        `length` - a direct or array-backed `IntBuffer`

    - #### glExtGetProgramBinarySourceQCOM

          void glExtGetProgramBinarySourceQCOM(int program,
                                             int shadertype,
                                             byte[] source,
                                             int source_offset,
                                             int[] length,
                                             int length_offset)

      Entry point to C language function: `void glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar * source, GLint * length)`
      Part of `GL_QCOM_extended_get2`

    - #### glExtGetProgramsQCOM

          void glExtGetProgramsQCOM(IntBuffer programs,
                                  int maxPrograms,
                                  IntBuffer numPrograms)

      Entry point to C language function: `void glExtGetProgramsQCOM(GLuint * programs, GLint maxPrograms, GLint * numPrograms)`
      Part of `GL_QCOM_extended_get2`
      Parameters:
        `programs` - a direct or array-backed `IntBuffer`
        `numPrograms` - a direct or array-backed `IntBuffer`

    - #### glExtGetProgramsQCOM

          void glExtGetProgramsQCOM(int[] programs,
                                  int programs_offset,
                                  int maxPrograms,
                                  int[] numPrograms,
                                  int numPrograms_offset)

      Entry point to C language function: `void glExtGetProgramsQCOM(GLuint * programs, GLint maxPrograms, GLint * numPrograms)`
      Part of `GL_QCOM_extended_get2`

    - #### glExtGetRenderbuffersQCOM

          void glExtGetRenderbuffersQCOM(IntBuffer renderbuffers,
                                       int maxRenderbuffers,
                                       IntBuffer numRenderbuffers)

      Entry point to C language function: `void glExtGetRenderbuffersQCOM(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `renderbuffers` - a direct or array-backed `IntBuffer`
        `numRenderbuffers` - a direct or array-backed `IntBuffer`

    - #### glExtGetRenderbuffersQCOM

          void glExtGetRenderbuffersQCOM(int[] renderbuffers,
                                       int renderbuffers_offset,
                                       int maxRenderbuffers,
                                       int[] numRenderbuffers,
                                       int numRenderbuffers_offset)

      Entry point to C language function: `void glExtGetRenderbuffersQCOM(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)`
      Part of `GL_QCOM_extended_get`

    - #### glExtGetShadersQCOM

          void glExtGetShadersQCOM(IntBuffer shaders,
                                 int maxShaders,
                                 IntBuffer numShaders)

      Entry point to C language function: `void glExtGetShadersQCOM(GLuint * shaders, GLint maxShaders, GLint * numShaders)`
      Part of `GL_QCOM_extended_get2`
      Parameters:
        `shaders` - a direct or array-backed `IntBuffer`
        `numShaders` - a direct or array-backed `IntBuffer`

    - #### glExtGetShadersQCOM

          void glExtGetShadersQCOM(int[] shaders,
                                 int shaders_offset,
                                 int maxShaders,
                                 int[] numShaders,
                                 int numShaders_offset)

      Entry point to C language function: `void glExtGetShadersQCOM(GLuint * shaders, GLint maxShaders, GLint * numShaders)`
      Part of `GL_QCOM_extended_get2`

    - #### glExtGetTexLevelParameterivQCOM

          void glExtGetTexLevelParameterivQCOM(int texture,
                                             int face,
                                             int level,
                                             int pname,
                                             IntBuffer params)

      Entry point to C language function: `void glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glExtGetTexLevelParameterivQCOM

          void glExtGetTexLevelParameterivQCOM(int texture,
                                             int face,
                                             int level,
                                             int pname,
                                             int[] params,
                                             int params_offset)

      Entry point to C language function: `void glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)`
      Part of `GL_QCOM_extended_get`

    - #### glExtGetTexSubImageQCOM

          void glExtGetTexSubImageQCOM(int target,
                                     int level,
                                     int xoffset,
                                     int yoffset,
                                     int zoffset,
                                     int width,
                                     int height,
                                     int depth,
                                     int format,
                                     int type,
                                     Buffer texels)

      Entry point to C language function: `void glExtGetTexSubImageQCOM(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, GLvoid * texels)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `texels` - a direct or array-backed `Buffer`

    - #### glExtGetTexturesQCOM

          void glExtGetTexturesQCOM(IntBuffer textures,
                                  int maxTextures,
                                  IntBuffer numTextures)

      Entry point to C language function: `void glExtGetTexturesQCOM(GLuint * textures, GLint maxTextures, GLint * numTextures)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `textures` - a direct or array-backed `IntBuffer`
        `numTextures` - a direct or array-backed `IntBuffer`

    - #### glExtGetTexturesQCOM

          void glExtGetTexturesQCOM(int[] textures,
                                  int textures_offset,
                                  int maxTextures,
                                  int[] numTextures,
                                  int numTextures_offset)

      Entry point to C language function: `void glExtGetTexturesQCOM(GLuint * textures, GLint maxTextures, GLint * numTextures)`
      Part of `GL_QCOM_extended_get`

    - #### glExtIsProgramBinaryQCOM

          boolean glExtIsProgramBinaryQCOM(int program)

      Entry point to C language function: `GLboolean glExtIsProgramBinaryQCOM(GLuint program)`
      Part of `GL_QCOM_extended_get2`

    - #### glExtTexObjectStateOverrideiQCOM

          void glExtTexObjectStateOverrideiQCOM(int target,
                                              int pname,
                                              int param)

      Entry point to C language function: `void glExtTexObjectStateOverrideiQCOM(GLenum target, GLenum pname, GLint param)`
      Part of `GL_QCOM_extended_get`

    - #### glFinishFenceNV

          void glFinishFenceNV(int arg0)

      Entry point to C language function: `void glFinishFenceNV(GLuint)`
      Part of `GL_NV_fence`

    - #### glFogx

          void glFogx(int pname,
                    int param)

      Entry point to C language function: `void glFogx(GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glFogxv

          void glFogxv(int pname,
                     IntBuffer params)

      Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glFogxv

          void glFogxv(int pname,
                     int[] params,
                     int params_offset)

      Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glFramebufferTexture2DMultisampleEXT

          void glFramebufferTexture2DMultisampleEXT(int arg0,
                                                  int arg1,
                                                  int arg2,
                                                  int arg3,
                                                  int arg4,
                                                  int arg5)

      Entry point to C language function: `void glFramebufferTexture2DMultisampleEXT(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei)`
      Part of `GL_EXT_multisampled_render_to_texture`

    - #### glFramebufferTexture2DMultisampleIMG

          void glFramebufferTexture2DMultisampleIMG(int arg0,
                                                  int arg1,
                                                  int arg2,
                                                  int arg3,
                                                  int arg4,
                                                  int arg5)

      Entry point to C language function: `void glFramebufferTexture2DMultisampleIMG(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei)`
      Part of `GL_IMG_multisampled_render_to_texture`

    - #### glFrustumx

          void glFrustumx(int left,
                        int right,
                        int bottom,
                        int top,
                        int zNear,
                        int zFar)

      Entry point to C language function: `void glFrustumx(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glGenFencesNV

          void glGenFencesNV(int arg0,
                           IntBuffer arg1)

      Entry point to C language function: `void glGenFencesNV(GLsizei, GLuint * )`
      Part of `GL_NV_fence`
      Parameters:
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glGenFencesNV

          void glGenFencesNV(int arg0,
                           int[] arg1,
                           int arg1_offset)

      Entry point to C language function: `void glGenFencesNV(GLsizei, GLuint * )`
      Part of `GL_NV_fence`

    - #### glGenVertexArraysOES

          void glGenVertexArraysOES(int n,
                                  IntBuffer arrays)

      Entry point to C language function: `void glGenVertexArraysOES(GLsizei n, GLuint * arrays)`
      Part of `GL_OES_vertex_array_object`
      Parameters:
        `arrays` - a direct or array-backed `IntBuffer`

    - #### glGenVertexArraysOES

          void glGenVertexArraysOES(int n,
                                  int[] arrays,
                                  int arrays_offset)

      Entry point to C language function: `void glGenVertexArraysOES(GLsizei n, GLuint * arrays)`
      Part of `GL_OES_vertex_array_object`

    - #### glGetClipPlanef

          void glGetClipPlanef(int pname,
                             FloatBuffer equation)

      Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * equation)`
      Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
      Parameters:
        `equation` - a direct or array-backed `FloatBuffer`

    - #### glGetClipPlanef

          void glGetClipPlanef(int pname,
                             float[] equation,
                             int equation_offset)

      Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * equation)`
      Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`

    - #### glGetClipPlanex

          void glGetClipPlanex(int pname,
                             IntBuffer eqn)

      Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `eqn` - a direct or array-backed `IntBuffer`

    - #### glGetClipPlanex

          void glGetClipPlanex(int pname,
                             int[] eqn,
                             int eqn_offset)

      Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glGetDriverControlStringQCOM

          void glGetDriverControlStringQCOM(int driverControl,
                                          int bufSize,
                                          IntBuffer length,
                                          ByteBuffer driverControlString)

      Entry point to C language function: `void glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)`
      Part of `GL_QCOM_driver_control`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `driverControlString` - a direct or array-backed `ByteBuffer`

    - #### glGetDriverControlStringQCOM

          void glGetDriverControlStringQCOM(int driverControl,
                                          int bufSize,
                                          int[] length,
                                          int length_offset,
                                          byte[] driverControlString,
                                          int driverControlString_offset)

      Entry point to C language function: `void glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)`
      Part of `GL_QCOM_driver_control`

    - #### glGetDriverControlsQCOM

          void glGetDriverControlsQCOM(IntBuffer num,
                                     int size,
                                     IntBuffer driverControls)

      Entry point to C language function: `void glGetDriverControlsQCOM(GLint * num, GLsizei size, GLuint * driverControls)`
      Part of `GL_QCOM_driver_control`
      Parameters:
        `num` - a direct or array-backed `IntBuffer`
        `driverControls` - a direct or array-backed `IntBuffer`

    - #### glGetDriverControlsQCOM

          void glGetDriverControlsQCOM(int[] num,
                                     int num_offset,
                                     int size,
                                     int[] driverControls,
                                     int driverControls_offset)

      Entry point to C language function: `void glGetDriverControlsQCOM(GLint * num, GLsizei size, GLuint * driverControls)`
      Part of `GL_QCOM_driver_control`

    - #### glGetFenceivNV

          void glGetFenceivNV(int arg0,
                            int arg1,
                            IntBuffer arg2)

      Entry point to C language function: `void glGetFenceivNV(GLuint, GLenum, GLint * )`
      Part of `GL_NV_fence`
      Parameters:
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glGetFenceivNV

          void glGetFenceivNV(int arg0,
                            int arg1,
                            int[] arg2,
                            int arg2_offset)

      Entry point to C language function: `void glGetFenceivNV(GLuint, GLenum, GLint * )`
      Part of `GL_NV_fence`

    - #### glGetFixedv

          void glGetFixedv(int pname,
                         IntBuffer params)

      Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetFixedv

          void glGetFixedv(int pname,
                         int[] params,
                         int params_offset)

      Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glGetLightxv

          void glGetLightxv(int light,
                          int pname,
                          IntBuffer params)

      Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetLightxv

          void glGetLightxv(int light,
                          int pname,
                          int[] params,
                          int params_offset)

      Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glGetMaterialxv

          void glGetMaterialxv(int face,
                             int pname,
                             IntBuffer params)

      Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetMaterialxv

          void glGetMaterialxv(int face,
                             int pname,
                             int[] params,
                             int params_offset)

      Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glGetTexEnvxv

          void glGetTexEnvxv(int tenv,
                           int pname,
                           IntBuffer params)

      Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetTexEnvxv

          void glGetTexEnvxv(int tenv,
                           int pname,
                           int[] params,
                           int params_offset)

      Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glGetTexParameterxv

          void glGetTexParameterxv(int target,
                                 int pname,
                                 IntBuffer params)

      Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetTexParameterxv

          void glGetTexParameterxv(int target,
                                 int pname,
                                 int[] params,
                                 int params_offset)

      Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glIsFenceNV

          boolean glIsFenceNV(int arg0)

      Entry point to C language function: `GLboolean glIsFenceNV(GLuint)`
      Part of `GL_NV_fence`

    - #### glIsVertexArrayOES

          boolean glIsVertexArrayOES(int array)

      Entry point to C language function: `GLboolean glIsVertexArrayOES(GLuint array)`
      Part of `GL_OES_vertex_array_object`

    - #### glLightModelx

          void glLightModelx(int pname,
                           int param)

      Entry point to C language function: `void glLightModelx(GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glLightModelxv

          void glLightModelxv(int pname,
                            IntBuffer params)

      Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glLightModelxv

          void glLightModelxv(int pname,
                            int[] params,
                            int params_offset)

      Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glLightx

          void glLightx(int light,
                      int pname,
                      int param)

      Entry point to C language function: `void glLightx(GLenum light, GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glLightxv

          void glLightxv(int light,
                       int pname,
                       IntBuffer params)

      Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glLightxv

          void glLightxv(int light,
                       int pname,
                       int[] params,
                       int params_offset)

      Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glLineWidthx

          void glLineWidthx(int width)

      Entry point to C language function: `void glLineWidthx(GLfixed width)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glLoadMatrixx

          void glLoadMatrixx(IntBuffer m)

      Entry point to C language function: `void glLoadMatrixx(const GLfixed * m)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `m` - a direct or array-backed `IntBuffer`

    - #### glLoadMatrixx

          void glLoadMatrixx(int[] m,
                           int m_offset)

      Entry point to C language function: `void glLoadMatrixx(const GLfixed * m)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glLoadPaletteFromModelViewMatrixOES

          void glLoadPaletteFromModelViewMatrixOES()

      Entry point to C language function: `void glLoadPaletteFromModelViewMatrixOES(void)`
      Part of `GL_OES_matrix_palette`

    - #### glMaterialx

          void glMaterialx(int face,
                         int pname,
                         int param)

      Entry point to C language function: `void glMaterialx(GLenum face, GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glMaterialxv

          void glMaterialxv(int face,
                          int pname,
                          IntBuffer params)

      Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glMaterialxv

          void glMaterialxv(int face,
                          int pname,
                          int[] params,
                          int params_offset)

      Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glMatrixIndexPointer

          void glMatrixIndexPointer(int size,
                                  int type,
                                  int stride,
                                  Buffer pointer)

      Entry point to C language function: `void glMatrixIndexPointer(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer)`
      Part of `GL_ARB_matrix_palette`; `GL_OES_matrix_palette`
      Parameters:
        `pointer` - a direct or array-backed `Buffer`

    - #### glMultMatrixx

          void glMultMatrixx(IntBuffer m)

      Entry point to C language function: `void glMultMatrixx(const GLfixed * m)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `m` - a direct or array-backed `IntBuffer`

    - #### glMultMatrixx

          void glMultMatrixx(int[] m,
                           int m_offset)

      Entry point to C language function: `void glMultMatrixx(const GLfixed * m)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glMultiTexCoord4x

          void glMultiTexCoord4x(int target,
                               int s,
                               int t,
                               int r,
                               int q)

      Entry point to C language function: `void glMultiTexCoord4x(GLenum target, GLfixed s, GLfixed t, GLfixed r, GLfixed q)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glNormal3x

          void glNormal3x(int nx,
                        int ny,
                        int nz)

      Entry point to C language function: `void glNormal3x(GLfixed nx, GLfixed ny, GLfixed nz)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glOrthox

          void glOrthox(int left,
                      int right,
                      int bottom,
                      int top,
                      int zNear,
                      int zFar)

      Entry point to C language function: `void glOrthox(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glPointParameterx

          void glPointParameterx(int pname,
                               int param)

      Entry point to C language function: `void glPointParameterx(GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glPointParameterxv

          void glPointParameterxv(int pname,
                                IntBuffer params)

      Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glPointParameterxv

          void glPointParameterxv(int pname,
                                int[] params,
                                int params_offset)

      Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glPointSizePointerOES

          void glPointSizePointerOES(int type,
                                   int stride,
                                   Buffer pointer)

      Entry point to C language function: `void glPointSizePointerOES(GLenum type, GLsizei stride, const GLvoid * pointer)`
      Part of `GL_OES_point_size_array`
      Parameters:
        `pointer` - a direct or array-backed `Buffer`

    - #### glPointSizex

          void glPointSizex(int size)

      Entry point to C language function: `void glPointSizex(GLfixed size)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glPolygonOffsetx

          void glPolygonOffsetx(int factor,
                              int units)

      Entry point to C language function: `void glPolygonOffsetx(GLfixed factor, GLfixed units)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glQueryMatrixxOES

          int glQueryMatrixxOES(IntBuffer mantissa,
                              IntBuffer exponent)

      Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent)`
      Part of `GL_OES_query_matrix`
      Parameters:
        `mantissa` - a direct or array-backed `IntBuffer`
        `exponent` - a direct or array-backed `IntBuffer`

    - #### glQueryMatrixxOES

          int glQueryMatrixxOES(int[] mantissa,
                              int mantissa_offset,
                              int[] exponent,
                              int exponent_offset)

      Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent)`
      Part of `GL_OES_query_matrix`

    - #### glRenderbufferStorageMultisampleAPPLE

          void glRenderbufferStorageMultisampleAPPLE(int arg0,
                                                   int arg1,
                                                   int arg2,
                                                   int arg3,
                                                   int arg4)

      Entry point to C language function: `void glRenderbufferStorageMultisampleAPPLE(GLenum, GLsizei, GLenum, GLsizei, GLsizei)`
      Part of `GL_APPLE_framebuffer_multisample`

    - #### glRenderbufferStorageMultisampleIMG

          void glRenderbufferStorageMultisampleIMG(int arg0,
                                                 int arg1,
                                                 int arg2,
                                                 int arg3,
                                                 int arg4)

      Entry point to C language function: `void glRenderbufferStorageMultisampleIMG(GLenum, GLsizei, GLenum, GLsizei, GLsizei)`
      Part of `GL_IMG_multisampled_render_to_texture`

    - #### glResolveMultisampleFramebufferAPPLE

          void glResolveMultisampleFramebufferAPPLE()

      Entry point to C language function: `void glResolveMultisampleFramebufferAPPLE(void)`
      Part of `GL_APPLE_framebuffer_multisample`

    - #### glRotatex

          void glRotatex(int angle,
                       int x,
                       int y,
                       int z)

      Entry point to C language function: `void glRotatex(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glSampleCoveragex

          void glSampleCoveragex(int value,
                               boolean invert)

      Entry point to C language function: `void glSampleCoveragex(GLclampx value, GLboolean invert)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glScalex

          void glScalex(int x,
                      int y,
                      int z)

      Entry point to C language function: `void glScalex(GLfixed x, GLfixed y, GLfixed z)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glSetFenceNV

          void glSetFenceNV(int arg0,
                          int arg1)

      Entry point to C language function: `void glSetFenceNV(GLuint, GLenum)`
      Part of `GL_NV_fence`

    - #### glStartTilingQCOM

          void glStartTilingQCOM(int x,
                               int y,
                               int width,
                               int height,
                               int preserveMask)

      Entry point to C language function: `void glStartTilingQCOM(GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask)`
      Part of `GL_QCOM_tiled_rendering`

    - #### glTestFenceNV

          boolean glTestFenceNV(int arg0)

      Entry point to C language function: `GLboolean glTestFenceNV(GLuint)`
      Part of `GL_NV_fence`

    - #### glTexEnvx

          void glTexEnvx(int target,
                       int pname,
                       int param)

      Entry point to C language function: `void glTexEnvx(GLenum target, GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glTexEnvxv

          void glTexEnvxv(int target,
                        int pname,
                        IntBuffer params)

      Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glTexEnvxv

          void glTexEnvxv(int target,
                        int pname,
                        int[] params,
                        int params_offset)

      Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glTexParameterx

          void glTexParameterx(int target,
                             int pname,
                             int param)

      Entry point to C language function: `void glTexParameterx(GLenum target, GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glTexParameterxv

          void glTexParameterxv(int target,
                              int pname,
                              IntBuffer params)

      Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glTexParameterxv

          void glTexParameterxv(int target,
                              int pname,
                              int[] params,
                              int params_offset)

      Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glTranslatex

          void glTranslatex(int x,
                          int y,
                          int z)

      Entry point to C language function: `void glTranslatex(GLfixed x, GLfixed y, GLfixed z)`
      Part of `GL_VERSION_ES_CL_CM`

    - #### glWeightPointer

          void glWeightPointer(int size,
                             int type,
                             int stride,
                             Buffer pointer)

      Entry point to C language function: `void glWeightPointer(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer)`
      Part of `GL_ARB_vertex_blend`; `GL_OES_matrix_palette`
      Parameters:
        `pointer` - a direct or array-backed `Buffer`

Copyright 2010 JogAmp Community.